Redmine - Defect #33768

Bundler may fail to install stringio if Ruby prior to 2.5 is used

2020-07-26 07:34 - Go MAEDA

Gem::InstallError: stringio requires Ruby version >= 2.5.

cannot continue.

In Gemfile:

csv was resolved to 3.1.6, which depends on
stringio

It can be fixed with the following patch.
Index: Gemfile

bundle install fails if you use Ruby < 2.5 and bundler < 1.15.2.

An error occurred while installing stringio (0.1.3), and Bundler

Make sure that ‘gem install stringio -v '0.1.3" succeeds before bundling.

--- Gemfile (revision 19912)
+++ Gemfile (working copy)
@@ -12,7 +12,7 @@

gem "mimemagic”

gem "mail", "~> 2.7.1"

-gem "csv", "~> 3.1.1"

+gem 'csv', (RUBY_VERSION < '2.5' ? ['>= 3.1.1', '< 3.1.51]
gem "nokogiri", "~> 1.10.0"

gem 'i18n', '~> 1.8.2'

gem "rbpdf", "~> 1.20.0"

gem "roadie-rails”, (RUBY_VERSION < "2.5" ? "~> 1.3.0" : "~> 2.1.0")

S'~>3.1.1)

Status: Closed Start date:
Assignee: Go MAEDA % Done: 0%
Target version: 41.2

Resolution: Fixed Affected version: 41.0
Description

This is because Bundler attempts to install csv 3.1.6 that does not support Ruby 2.4. csv 3.1.6 itself supports Ruby 2.3 or later,
however, a dependant stringio 0.1.3 requires Ruby 2.5 or higher.

Associated revisions

Revision 19938 - 2020-07-28 15:10 - Go MAEDA

Bundler may fail to install stringio if Ruby prior to 2.5 is used (#33768).

Patch by Go MAEDA.

Revision 19939 - 2020-07-28 17:02 - Go MAEDA
https://rubygems.org/gems/csv/versions/3.1.6
https://rubygems.org/gems/stringio/versions/0.1.3

Merged r19938 from trunk to 4.1-stable (#33768).

History

#1 - 2020-07-28 15:22 - Go MAEDA

- Status changed from New to Resolved
- Assignee set to Go MAEDA

- Target version setto 4.1.2

- Resolution set to Fixed

Committed the patch.

#2 - 2020-07-28 15:24 - Go MAEDA
- Subject changed from Bundler 1.15.1 or ealier fails to install stringio if Ruby prior to 2.5 is used to Bundler may fail to install stringio if Ruby prior to
2.5 is used

| observed that also Bundler 1.16.1 fails.

#3 - 2020-07-28 17:03 - Go MAEDA
- Status changed from Resolved to Closed
- Affected version set to 4.1.0
